Subject: bug#22172: 25.1.50; Wishlist: There should be a way to say to Emacs that is should rescale all images with a certain factor

From: Drew Adams <[email-masked]>
Date: Mon, 8 Feb 2016 18:46:15 -0800 (PST)

> I've now added the commands, but not documented this yet, because we
> haven't decided on keystrokes.  These should be global bindings, I
> guess?  We could also have local keymaps for the image objects
> themselves...  That would mean that insert-image would also put a keymap
> on each image it inserts.
> 
> And in that case we could "steal" very basic keystrokes, like "-" and
> "+".  But that may be kinda yucky.  And surprising.
> 
> But I kinda like the local keymap idea.  These commands would only be
> valid pretty seldom (i.e., when you're on an image), so it feels strange
> to occupy a global key binding.
> 
> So...  opinions?

Here's an opinion: Do not bind the commands to any keys.

10 minutes after defining the commands you want Emacs to
dedicate keys to them?  And global keys, at that?

Let users bind them if they like.  In a few years users and
Emacs Dev can take stock of the situation and consider whether
such commands should be bound by default, and if so, where.

If you want to put a key on an image, that might be OK.
If you want to add a key to image-mode, that might be OK.

But beyond that, there is no reason to jump the gun on this.
If the commands are super useful they will soon enough be
bound to keys by users, and users will themselves suggest
which keys might be most important.